Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Class Sequencers.SequencingWorkItem

    java.lang.Object
      org.modeshape.jcr.Sequencers.SequencingWorkItem

All Implemented Interfaces:
  Serializable

Enclosing class:
  Sequencers

    @Immutable
    public static final class Sequencers.SequencingWorkItem

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`protected` | `Sequencers.SequencingWorkItem(UUID sequencerId, String userId, String inputWorkspaceName, String selectedPath, String inputPath, String outputPath, String outputWorkspaceName, String changedPropertyName)`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getChangedPropertyName()` Get the name of the changed property.
`String` | `getInputPath()` Get the input path of the node/property that is to be sequenced.
`String` | `getInputWorkspaceName()` Get the name of the workspace where the input exists.
`String` | `getOutputPath()` Get the path for the sequencing output.
`String` | `getOutputWorkspaceName()` Get the name of the workspace where the output is to be written.
`String` | `getSelectedPath()` Get the path of the selected node that is to be sequenced.
`UUID` | `getSequencerId()` Get the identifier of the sequencer.
`String` | `getUserId()` Get the id (username) of the user which triggered the sequencing
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Sequencers.SequencingWorkItem

    protected Sequencers.SequencingWorkItem(UUID sequencerId,
                                            String userId,
                                            String inputWorkspaceName,
                                            String selectedPath,
                                            String inputPath,
                                            String outputPath,
                                            String outputWorkspaceName,
                                            String changedPropertyName)

Method Detail

### getSequencerId

    public UUID getSequencerId()

  Get the identifier of the sequencer.

  Returns:
    the sequencer ID; never null

### getUserId

    public String getUserId()

  Get the id (username) of the user which triggered the sequencing

  Returns:
    the user id, never null

### getInputWorkspaceName

    public String getInputWorkspaceName()

  Get the name of the workspace where the input exists.

  Returns:
    the input workspace name; never null

### getInputPath

    public String getInputPath()

  Get the input path of the node/property that is to be sequenced.

  Returns:
    the input path; never null

### getSelectedPath

    public String getSelectedPath()

  Get the path of the selected node that is to be sequenced.

  Returns:
    the selected path; never null

### getChangedPropertyName

    public String getChangedPropertyName()

  Get the name of the changed property.

  Returns:
    the name of the property that was changed; never null

### getOutputPath

    public String getOutputPath()

  Get the path for the sequencing output.

  Returns:
    the output path; never null

### getOutputWorkspaceName

    public String getOutputWorkspaceName()

  Get the name of the workspace where the output is to be written.

  Returns:
    the output workspace name; may be null if the output is to be written to the same workspace as the input

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.